#pragma once

//  Microsoft Visual C++  IDispatch װ

// ע: Ҫ޸Ĵļݡ
//  Microsoft Visual C++ ɣ޸Ľǡ

/////////////////////////////////////////////////////////////////////////////
// CAxremote1 װ

class CAxremote1 : public CWnd
{
protected:
	DECLARE_DYNCREATE(CAxremote1)
public:
	CLSID const& GetClsid()
	{
		static CLSID const clsid
			= { 0x1E125331, 0xB4E3, 0x4EE3, { 0xB3, 0xC1, 0x24, 0xAD, 0x1A, 0x3E, 0x5D, 0xEB } };
		return clsid;
	}
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle,
						const RECT& rect, CWnd* pParentWnd, UINT nID, 
						CCreateContext* pContext = NULL)
	{ 
		return CreateControl(GetClsid(), lpszWindowName, dwStyle, rect, pParentWnd, nID); 
	}

    BOOL Create(LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, 
				UINT nID, CFile* pPersist = NULL, BOOL bStorage = FALSE,
				BSTR bstrLicKey = NULL)
	{ 
		return CreateControl(GetClsid(), lpszWindowName, dwStyle, rect, pParentWnd, nID,
		pPersist, bStorage, bstrLicKey); 
	}

// 
public:
enum
{
    afbNone = 0,
    afbSingle = 1,
    afbSunken = 2,
    afbRaised = 3
}TxActiveFormBorderStyle;
enum
{
    poNone = 0,
    poProportional = 1,
    poPrintToFit = 2
}TxPrintScale;
enum
{
    mbLeft = 0,
    mbRight = 1,
    mbMiddle = 2
}TxMouseButton;


// 
public:

// IAxRemote

// Functions
//

	BOOL get_Visible()
	{
		BOOL result;
		InvokeHelper(0xc9, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	void put_Visible(BOOL newValue)
	{
		static BYTE parms[] = VTS_BOOL ;
		InvokeHelper(0xc9, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	BOOL get_AutoScroll()
	{
		BOOL result;
		InvokeHelper(0xca, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	void put_AutoScroll(BOOL newValue)
	{
		static BYTE parms[] = VTS_BOOL ;
		InvokeHelper(0xca, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	BOOL get_AutoSize()
	{
		BOOL result;
		InvokeHelper(0xcb, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	void put_AutoSize(BOOL newValue)
	{
		static BYTE parms[] = VTS_BOOL ;
		InvokeHelper(0xcb, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_AxBorderStyle()
	{
		long result;
		InvokeHelper(0xcc, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_AxBorderStyle(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xcc, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_Caption()
	{
		CString result;
		InvokeHelper(DISPID_CAPTION, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_Caption(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(DISPID_CAPTION, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	unsigned long get_Color()
	{
		unsigned long result;
		InvokeHelper(DISPID_BACKCOLOR, DISPATCH_PROPERTYGET, VT_UI4, (void*)&result, NULL);
		return result;
	}
	void put_Color(unsigned long newValue)
	{
		static BYTE parms[] = VTS_UI4 ;
		InvokeHelper(DISPID_BACKCOLOR, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	LPDISPATCH get_Font()
	{
		LPDISPATCH result;
		InvokeHelper(DISPID_FONT, DISPATCH_PROPERTYGET, VT_DISPATCH, (void*)&result, NULL);
		return result;
	}
	void put_Font(LPDISPATCH newValue)
	{
		static BYTE parms[] = VTS_DISPATCH ;
		InvokeHelper(DISPID_FONT, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	void putref_Font(LPDISPATCH * newValue)
	{
		static BYTE parms[] = VTS_PDISPATCH ;
		InvokeHelper(DISPID_FONT, DISPATCH_PROPERTYPUTREF, VT_EMPTY, NULL, parms, newValue);
	}
	BOOL get_KeyPreview()
	{
		BOOL result;
		InvokeHelper(0xcd, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	void put_KeyPreview(BOOL newValue)
	{
		static BYTE parms[] = VTS_BOOL ;
		InvokeHelper(0xcd, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_PixelsPerInch()
	{
		long result;
		InvokeHelper(0xce, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_PixelsPerInch(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xce, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_PrintScale()
	{
		long result;
		InvokeHelper(0xcf, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_PrintScale(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xcf, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	BOOL get_Scaled()
	{
		BOOL result;
		InvokeHelper(0xd0, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	void put_Scaled(BOOL newValue)
	{
		static BYTE parms[] = VTS_BOOL ;
		InvokeHelper(0xd0, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	BOOL get_Active()
	{
		BOOL result;
		InvokeHelper(0xd1, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	BOOL get_DropTarget()
	{
		BOOL result;
		InvokeHelper(0xd2, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	void put_DropTarget(BOOL newValue)
	{
		static BYTE parms[] = VTS_BOOL ;
		InvokeHelper(0xd2, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_HelpFile()
	{
		CString result;
		InvokeHelper(0xd3, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_HelpFile(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0xd3, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	BOOL get_ScreenSnap()
	{
		BOOL result;
		InvokeHelper(0xd4, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	void put_ScreenSnap(BOOL newValue)
	{
		static BYTE parms[] = VTS_BOOL ;
		InvokeHelper(0xd4, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_SnapBuffer()
	{
		long result;
		InvokeHelper(0xd5, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_SnapBuffer(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xd5, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	BOOL get_DoubleBuffered()
	{
		BOOL result;
		InvokeHelper(0xd6, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	void put_DoubleBuffered(BOOL newValue)
	{
		static BYTE parms[] = VTS_BOOL ;
		InvokeHelper(0xd6, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	BOOL get_AlignDisabled()
	{
		BOOL result;
		InvokeHelper(0xd7, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	long get_VisibleDockClientCount()
	{
		long result;
		InvokeHelper(0xd8, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	BOOL get_Enabled()
	{
		BOOL result;
		InvokeHelper(DISPID_ENABLED, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	void put_Enabled(BOOL newValue)
	{
		static BYTE parms[] = VTS_BOOL ;
		InvokeHelper(DISPID_ENABLED, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	void FullScreen()
	{
		InvokeHelper(0xd9, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
	}
	void ConnectAll()
	{
		InvokeHelper(0xda, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
	}
	void DisConnectAll()
	{
		InvokeHelper(0xdb, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
	}
	void ClearDevs()
	{
		InvokeHelper(0xdf, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
	}
	void AddDev(long nDevType, LPCTSTR szDevName, long DevID, LPCTSTR szPwd, LPCTSTR szID, long bInLan)
	{
		static BYTE parms[] = VTS_I4 VTS_BSTR VTS_I4 VTS_BSTR VTS_BSTR VTS_I4 ;
		InvokeHelper(0xe0, DISPATCH_METHOD, VT_EMPTY, NULL, parms, nDevType, szDevName, DevID, szPwd, szID, bInLan);
	}
	void Start()
	{
		InvokeHelper(0xe6, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
	}
	void SwitchLayout(LPCTSTR szNewLayout)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0xdc, DISPATCH_METHOD, VT_EMPTY, NULL, parms, szNewLayout);
	}
	void AddDev2(long nDevType, LPCTSTR szDevName, long DevID, LPCTSTR szAcc, LPCTSTR szPwd, LPCTSTR szID, long bInLan)
	{
		static BYTE parms[] = VTS_I4 VTS_BSTR VTS_I4 VTS_BSTR VTS_BSTR VTS_BSTR VTS_I4 ;
		InvokeHelper(0xe7, DISPATCH_METHOD, VT_EMPTY, NULL, parms, nDevType, szDevName, DevID, szAcc, szPwd, szID, bInLan);
	}
	CString get_Ver()
	{
		CString result;
		InvokeHelper(0xe8, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	long get_DevState()
	{
		long result;
		InvokeHelper(0xed, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_IsRecing()
	{
		long result;
		InvokeHelper(0xee, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long AddDev3(long nDevType, long bLan, LPCTSTR szID, long nTCPPort, LPCTSTR szDevName, LPCTSTR szAcc, LPCTSTR szPwd, long nChannelID)
	{
		long result;
		static BYTE parms[] = VTS_I4 VTS_I4 VTS_BSTR VTS_I4 VTS_BSTR VTS_BSTR VTS_BSTR VTS_I4 ;
		InvokeHelper(0xf3, DISPATCH_METHOD, VT_I4, (void*)&result, parms, nDevType, bLan, szID, nTCPPort, szDevName, szAcc, szPwd, nChannelID);
		return result;
	}
	long StartRec(LPCTSTR szFileName)
	{
		long result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0xef, DISPATCH_METHOD, VT_I4, (void*)&result, parms, szFileName);
		return result;
	}
	long StopRec()
	{
		long result;
		InvokeHelper(0xf0, DISPATCH_METHOD, VT_I4, (void*)&result, NULL);
		return result;
	}
	long Capture(LPCTSTR szFileName)
	{
		long result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0xf1, DISPATCH_METHOD, VT_I4, (void*)&result, parms, szFileName);
		return result;
	}
	long CaptureTool()
	{
		long result;
		InvokeHelper(0xf4, DISPATCH_METHOD, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_ShowToolBar()
	{
		long result;
		InvokeHelper(0xf2, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_ShowToolBar(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xf2, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_ShowOSDName()
	{
		long result;
		InvokeHelper(0xe9, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_ShowOSDName(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xe9, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_ShowOSDTime()
	{
		long result;
		InvokeHelper(0xea, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_ShowOSDTime(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xea, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_ShowTitle()
	{
		long result;
		InvokeHelper(0xde, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_ShowTitle(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xde, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_Lan()
	{
		CString result;
		InvokeHelper(0xe1, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_Lan(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0xe1, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_ShowFPS()
	{
		long result;
		InvokeHelper(0xe2, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_ShowFPS(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xe2, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_ShowStatus()
	{
		long result;
		InvokeHelper(0xe5, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_ShowStatus(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xe5, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_ShowRate()
	{
		long result;
		InvokeHelper(0xeb, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_ShowRate(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xeb, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_Proxy()
	{
		CString result;
		InvokeHelper(0xe3, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_Proxy(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0xe3, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_DnsServer()
	{
		CString result;
		InvokeHelper(0xe4, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_DnsServer(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0xe4, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_TurnImg()
	{
		long result;
		InvokeHelper(0xec, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_TurnImg(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xec, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long DevSet()
	{
		long result;
		InvokeHelper(0xdd, DISPATCH_METHOD, VT_I4, (void*)&result, NULL);
		return result;
	}
	long NetSet()
	{
		long result;
		InvokeHelper(0xf5, DISPATCH_METHOD, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_CanPopupMenu()
	{
		long result;
		InvokeHelper(0xf6, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_CanPopupMenu(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xf6, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_DevSubType()
	{
		long result;
		InvokeHelper(0xf7, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_DevSubType(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xf7, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	double get_FrameRate()
	{
		double result;
		InvokeHelper(0xf8, DISPATCH_PROPERTYGET, VT_R8, (void*)&result, NULL);
		return result;
	}
	double get_DataRate()
	{
		double result;
		InvokeHelper(0xf9, DISPATCH_PROPERTYGET, VT_R8, (void*)&result, NULL);
		return result;
	}
	long AddDev4(long nDevType, long bLan, LPCTSTR szID, long nTCPPort, LPCTSTR szDevName, LPCTSTR szAcc, LPCTSTR szPwd, long nChannelID)
	{
		long result;
		static BYTE parms[] = VTS_I4 VTS_I4 VTS_BSTR VTS_I4 VTS_BSTR VTS_BSTR VTS_BSTR VTS_I4 ;
		InvokeHelper(0xfa, DISPATCH_METHOD, VT_I4, (void*)&result, parms, nDevType, bLan, szID, nTCPPort, szDevName, szAcc, szPwd, nChannelID);
		return result;
	}
	void PTZ(long nPro, long nAddr, long nDir, long nSpeed, long nParam, long bWithStop)
	{
		static BYTE parms[] = VTS_I4 VTS_I4 VTS_I4 VTS_I4 VTS_I4 VTS_I4 ;
		InvokeHelper(0xfb, DISPATCH_METHOD, VT_EMPTY, NULL, parms, nPro, nAddr, nDir, nSpeed, nParam, bWithStop);
	}
	long get_ShowDevSetMenuItem()
	{
		long result;
		InvokeHelper(0xfc, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_ShowDevSetMenuItem(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xfc, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_Selected()
	{
		long result;
		InvokeHelper(0xfd, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_Selected(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xfd, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_SavePath()
	{
		CString result;
		InvokeHelper(0xfe, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_SavePath(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0xfe, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_TCPMode()
	{
		long result;
		InvokeHelper(0xff, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_TCPMode(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xff, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_EnableAlarm()
	{
		long result;
		InvokeHelper(0x100, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_EnableAlarm(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x100, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	void ShowType(long nType)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x101, DISPATCH_METHOD, VT_EMPTY, NULL, parms, nType);
	}
	void AviStop()
	{
		InvokeHelper(0x104, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
	}
	void AviPause()
	{
		InvokeHelper(0x105, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
	}
	void AviOpen(LPCTSTR szDevName, LPCTSTR szFile, LPCTSTR szAcc, LPCTSTR szPwd)
	{
		static BYTE parms[] = VTS_BSTR VTS_BSTR VTS_BSTR VTS_BSTR ;
		InvokeHelper(0x106, DISPATCH_METHOD, VT_EMPTY, NULL, parms, szDevName, szFile, szAcc, szPwd);
	}
	long get_IsConnected()
	{
		long result;
		InvokeHelper(0x107, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void CheckNet()
	{
		InvokeHelper(0x108, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
	}
	void AddDev5(long nDevType, long bLan, LPCTSTR szID, long nTCPPort, LPCTSTR szDevName, LPCTSTR szAcc, LPCTSTR szPwd, long nPwdEncKey, long nChannelID, long nLocPort)
	{
		static BYTE parms[] = VTS_I4 VTS_I4 VTS_BSTR VTS_I4 VTS_BSTR VTS_BSTR VTS_BSTR VTS_I4 VTS_I4 VTS_I4 ;
		InvokeHelper(0x109, DISPATCH_METHOD, VT_EMPTY, NULL, parms, nDevType, bLan, szID, nTCPPort, szDevName, szAcc, szPwd, nPwdEncKey, nChannelID, nLocPort);
	}
	long get_WebProxyPort()
	{
		long result;
		InvokeHelper(0x10a, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void AddProxy(LPCTSTR szID, long bInLan, long nLocPort)
	{
		static BYTE parms[] = VTS_BSTR VTS_I4 VTS_I4 ;
		InvokeHelper(0x10b, DISPATCH_METHOD, VT_EMPTY, NULL, parms, szID, bInLan, nLocPort);
	}
	long get_RecMpeg4()
	{
		long result;
		InvokeHelper(0x10c, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_RecMpeg4(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x10c, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_ConnMode()
	{
		long result;
		InvokeHelper(0x10d, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_ConnMode(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x10d, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_TransServer()
	{
		CString result;
		InvokeHelper(0x10e, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_TransServer(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x10e, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_IsFullScreen()
	{
		long result;
		InvokeHelper(0x10f, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_VideoFixedRate()
	{
		long result;
		InvokeHelper(0x110, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_VideoFixedRate(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x110, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_DevOptions()
	{
		CString result;
		InvokeHelper(0x111, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void SetDevOptions(LPCTSTR Value)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x112, DISPATCH_METHOD, VT_EMPTY, NULL, parms, Value);
	}
	void SetOSD(long nPos, long OffsetX, long OffsetY, long nStr, LPCTSTR Str)
	{
		static BYTE parms[] = VTS_I4 VTS_I4 VTS_I4 VTS_I4 VTS_BSTR ;
		InvokeHelper(0x113, DISPATCH_METHOD, VT_EMPTY, NULL, parms, nPos, OffsetX, OffsetY, nStr, Str);
	}
	void StartTalk()
	{
		InvokeHelper(0x114, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
	}
	void StopTalk()
	{
		InvokeHelper(0x115, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
	}
	long get_IsTalking()
	{
		long result;
		InvokeHelper(0x116, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	long get_Listen()
	{
		long result;
		InvokeHelper(0x117, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_Listen(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x117, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	void AddDev6(long nDevType, LPCTSTR szIP, long nTCPPort, LPCTSTR Params)
	{
		static BYTE parms[] = VTS_I4 VTS_BSTR VTS_I4 VTS_BSTR ;
		InvokeHelper(0x118, DISPATCH_METHOD, VT_EMPTY, NULL, parms, nDevType, szIP, nTCPPort, Params);
	}
	long get_VideoRecv()
	{
		long result;
		InvokeHelper(0x119, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_VideoRecv(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x119, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_PTZProtocol()
	{
		long result;
		InvokeHelper(0x11a, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_PTZProtocol(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x11a, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_P2pProxy()
	{
		CString result;
		InvokeHelper(0x11b, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_P2pProxy(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x11b, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	void AviPlay()
	{
		InvokeHelper(0x102, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
	}
	double get_VideoRate()
	{
		double result;
		InvokeHelper(0x103, DISPATCH_PROPERTYGET, VT_R8, (void*)&result, NULL);
		return result;
	}
	void put_VideoRate(double newValue)
	{
		static BYTE parms[] = VTS_R8 ;
		InvokeHelper(0x103, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	void SDPlay(long nDevType, LPCTSTR szDevName, LPCTSTR szUrl, LPCTSTR szAcc, LPCTSTR szPwd)
	{
		static BYTE parms[] = VTS_I4 VTS_BSTR VTS_BSTR VTS_BSTR VTS_BSTR ;
		InvokeHelper(0x11c, DISPATCH_METHOD, VT_EMPTY, NULL, parms, nDevType, szDevName, szUrl, szAcc, szPwd);
	}
	void RefreshSDFile()
	{
		InvokeHelper(0x11d, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
	}
	void SDPlayFile(LPCTSTR szFile, long nFileLen)
	{
		static BYTE parms[] = VTS_BSTR VTS_I4 ;
		InvokeHelper(0x11e, DISPATCH_METHOD, VT_EMPTY, NULL, parms, szFile, nFileLen);
	}
	void SetSDSearchTime(long nSYear, long nSMonth, long nSDay, long nSHour, long nEYear, long nEMonth, long nEDay, long nEHour)
	{
		static BYTE parms[] = VTS_I4 VTS_I4 VTS_I4 VTS_I4 VTS_I4 VTS_I4 VTS_I4 VTS_I4 ;
		InvokeHelper(0x11f, DISPATCH_METHOD, VT_EMPTY, NULL, parms, nSYear, nSMonth, nSDay, nSHour, nEYear, nEMonth, nEDay, nEHour);
	}
	long get_SDPlayListPanel()
	{
		long result;
		InvokeHelper(0x120, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_SDPlayListPanel(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x120, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	void H264Play(LPCTSTR szDevName, LPCTSTR szUrl, LPCTSTR szAcc, LPCTSTR szPwd)
	{
		static BYTE parms[] = VTS_BSTR VTS_BSTR VTS_BSTR VTS_BSTR ;
		InvokeHelper(0x121, DISPATCH_METHOD, VT_EMPTY, NULL, parms, szDevName, szUrl, szAcc, szPwd);
	}
	void ConnectAll2(long nStream)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x122, DISPATCH_METHOD, VT_EMPTY, NULL, parms, nStream);
	}
	void SetCamParam(long nType, long param, long nLen)
	{
		static BYTE parms[] =
			VTS_I4 VTS_I4 VTS_I4;
		InvokeHelper(0x127, DISPATCH_METHOD, VT_EMPTY, NULL, parms,
			nType, param, nLen);
	}
	void SetMDOption(long bOn, long nSensitivity)
	{
		static BYTE parms[] =
			VTS_I4 VTS_I4;
		InvokeHelper(0x128, DISPATCH_METHOD, VT_EMPTY, NULL, parms,
			bOn, nSensitivity);
	}


// Properties
//



};
